System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class defines a network endpoint, including host name, network port number, and transport type used to make the connection.

Avoid creating EndPoint permissions using host names because these names will have to be resolved to IP address, which could block the stack.

Defines an endpoint that is authorized by a instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'bool' To be added

  Determines whether the specified is equal to the current instance.

  The specified
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Serves as a hash function for a particular instance.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the DNS host name or IP address of the server that is associated with this endpoint.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the network port number that is associated with this endpoint.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The method returns a string that represents the contents for the instance. The string is in the form # # .

  Returns a string that represents the current instance.

  A string that represents the current instance.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.TransportType To be added: an object of type 'TransportType' To be added

  Gets the transport type that is associated with this endpoint.